# $Revision: 1.27 $, $Date: 2002/06/05 18:27:45 $
Summary:	NIS (or YP) client programs
Summary(de):	NIS (YP)-Clients
Summary(es):	Clientes NIS (YP)
Summary(fr):	Clients NIS (YP)
Summary(ja):	NIS (ޤ YP)饤ȥץ
Summary(pl):	Klienci NIS (YP)
Summary(pt_BR):	Clientes NIS (YP)
Summary(ru):	  NIS ( YP)
Summary(tr):	NIS (YP) istemcileri
Summary(uk):	̦˦  NIS ( YP)
Summary(zh_CN):	NIS( YP)ͻ˳
Name:		yp-tools
Version:	2.7
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	ftp://ftp.kernel.org/pub/linux/utils/net/NIS/%{name}-%{version}.tar.bz2
Source1:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-am_ac_cleanups.patch
URL:		http://www-vt.uni-paderborn.de/~kukuk/linux/nis.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	yppasswd, yp-clients
Requires:	ypbind

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network. NIS can enable users
to login on any machine on the network, as long as the machine has the
NIS client programs running and the user's password is recorded in the
NIS passwd database. NIS was formerly known as Sun Yellow Pages (YP).

This package's NIS implementation is based on FreeBSD's YP and is a
special port for glibc 2.x and libc versions 5.4.21 and later. This
package only provides the NIS client programs. In order to use the
clients, you'll need to already have an NIS server running on your
network. An NIS server is provided in the ypserv package.

Install the yp-tools package if you need NIS client programs for
machines on your network. You will also need to install the ypbind
package on every machine running NIS client programs. If you need an
NIS server, you'll need to install the ypserv package on one machine
on the network.

%description -l de
Diese Implementierung von NIS fr Linux basiert auf dem YP-Material
fr FreeBSD.

Diese Implementierung stellt nur NIS-_Clients_ zur Verfgung. Es mu
irgendwo bereits ein NIS-Server laufen.

%description -l es
Esta implementacin de NIS para Linux est basada en el YP para
FreeBSD. Es un porte especial para glibc 2.x y libc $>$=5.4.21. Esta
implementacin solamente provee clientes NIS. Debes tener un servidor
NIS ejecutando en alguna mquina. Puedes encontrar uno para Linux en
http://www-vt.uni-paderborn.de/\~kukuk/Linux/nis.html. Por Favor, lee
tambin NIS-HOWTO.

%description -l fr
Implantation de NIS pour Linux base sur l'YP de FreeBSD.

Cette implantation n'offre que les *clients* NIS. Vous devez avoir un
serveur NIS qui tourne.

%description -l pl
NIS (Network Information Service - sieciowy system informacji) jest
systemem dostarczajcym przez informacje sieciowe (loginy, hasa,
katalogi domowe, grupy uytkownikw) do wszystkich maszyn w sieci. NIS
moe pozwala uytkownikom logowa si na dowoln maszyn w sieci o
ile na tej maszynie dziaaj programy klienckie NIS i haso
uytkownika jest zapisane w bazie NIS passwd. NIS by wczeniej znany
jako Sun Yellow Pages (YP).

Implementacja NIS z tego pakietu bazuje na YP z FreeBSD. Ten pakiet
zawiera tylko klientw NIS. Aby uywa klientw, musisz mie gdzie w
sieci dziaajcy serwer NIS - ten znajduje si w pakiecie ypserv.

Zainstaluj pakiet yp-tools jeeli potrzebujesz programw klienckich
NIS. Bdziesz potrzebowa zainstalowa te pakiet ypbind na kadej
maszynie z klientami NIS. Jeeli potrzebujesz serwer NIS, zainstaluj
pakiet ypserv na jednej maszynie w sieci.

%description -l pt_BR
Esta implementao de NIS para Linux  baseada no YP para FreeBSD. Ele
 um porte especial para glibc 2.x e libc >=5.4.21.

Esta implementao somente prov clientes NIS. Voc deve ter um
servidor NIS rodando em alguma mquina. Voc pode encontrar um para o
Linux em http://www-vt.uni-paderborn.de/~kukuk/Linux/nis.html. Por
favor leia tambm o NIS-HOWTO.

%description -l ru
Network Information Service (NIS) -  , 
  ( , ,  ,
  )   . NIS  
          
  NIS       
 NIS. NIS    Sun Yellow Pages (YP).

  NIS   YP  FreeBSD  
  glibc 2.x  libc  5.4.21  .  
    NIS.  ,  
 ,   -     NIS. 
    ypserv.

  yp-tools   ,  
  NIS.    NIS-,  
   ypserv  -    .

%description -l tr
Bu paket Linux iin bir NIS uyarlamasnn yalnzca istemci ksmlarn
iermektedir. Bu hizmetten yararlanabilmek iin alan bir NIS
sunucusuna gerek vardr.

%description -l uk
Network Information Service (NIS) -  ,   
æ ( ަ, ̦, Φ , æ
 ) Ӧ  ֦. NIS Ѥ  Ǧ
 -˦ Φ ֦   æ Φ Φ ̦˦
 NIS        ̦ NIS.
NIS  צ  Sun Yellow Pages (YP).

 ̦æ NIS   YP  FreeBSD  æ  Ц
glibc 2.x  libc Ӧ 5.4.21  .   ͦ Ԧ
̦˦  NIS.  ,   æ ̦,
Ȧ    ֦   NIS.  
ͦ  Ԧ ypserv.

צ  yp-tools  Ӧ , ˦  ̦˦
 NIS.   Ҧ NIS-,   Ȧ
  ypserv  ˦   ϧ ֦.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__gettextize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--disable-domainname
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f yp-tools.lang
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog NEWS THANKS TODO etc/nsswitch.conf
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[158]/*
%lang(fi) %{_mandir}/fi/man[158]/*
%lang(ja) %{_mandir}/ja/man[158]/*
%lang(pl) %{_mandir}/pl/man[158]/*
/var/yp/nicknames

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: yp-tools.spec,v $
Revision 1.27  2002/06/05 18:27:45  kloczek
- updated to 2.7,
- added ac/am cleanups (am_ac_cleanups patch - posted to Thorsten :),
- use new %doc,
- merge translations from TurboLinux,
- removed passwd patch.

Revision 1.26  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.25  2002/05/12 13:49:36  kloczek
- release 5,
- merge translations from KSI and TurboLinux,
- passwd patch is back (new version from rawhide).

Revision 1.24  2002/03/24 23:28:28  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.23  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/23 05:22:44  kloczek
- updated to 2.6 (release 2),
- merged translations from Conectiva.

Revision 1.19  2001/11/19 07:16:51  ankry
- added fi, ja, pl man pages
- release 3

Revision 1.18  2001/10/10 14:03:03  qboosh
- adapterized, pl translations, BuildRequires: autoconf,automake

Revision 1.17  2001/09/17 11:03:07  blues
- Release 2
- ac2.5 ready

Revision 1.16  2001/04/07 15:47:08  kloczek
- updated to 2.5.

Revision 1.15  2000/11/04 14:45:11  kloczek
- release 7,
- merge RH patches,
- use new rpm automation.

Revision 1.14  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/31 12:06:45  kloczek
- release 2,
- crrected Group,
- added de, fr, tr translations from BeroLinux spec file,
- pass LDFLAGS="-s" to ./configure instead stripping in %install,
- spec adapterized,
- simplifications in %files,
- removed COPYING from %doc (clear copyright statment is in License field).

Revision 1.11  2000/05/30 16:15:49  baggins
- updated to 2.4

Revision 1.10  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.8  1999/07/12 23:06:29  kloczek

- added using CVS keywords in %changelog (for automating them).

* Wed Jun 23 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.3-1]
- FHS 2.0
- macros

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- version 2.2
- make it obsolete older yp-clients package

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2/1
- version 2.1
- require ypbind

* Fri Jun 12 1998 Aron Griffis <agriffis@coat.com>
- upgraded to 2.0

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.4.1

* Thu Dec 04 1997 Cristian Gafton <gafton@redhat.com>
- put yppasswd again in the package, 'cause it is the right thing to do
  (sorry djb!)
- obsoletes old, unmaintained yppasswd package

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- removed yppasswd from this package.

* Fri Oct 31 1997 Donnie Barnes <djb@redhat.com>
- pulled from contrib into distribution (got fresh sources).  Thanks
  to Thorsten Kukuk <kukuk@vt.uni-paderborn.de> for the original.
- used fresh sources
